Activity log for bug #1633408

Date Who What changed Old value New value Message
2016-10-14 10:05:12 bojam bug added bug
2016-10-14 20:13:36 Paul White gnome-calculator (Ubuntu): status New Incomplete
2016-10-14 22:18:56 bojam tags apport-collected yakkety
2016-10-14 22:18:57 bojam description The calculator's history, in 3.22.0 is now non-selected-able, in 3.18.x this use to be possible was the change intentional? If not can the change be reverted. The calculator's history, in 3.22.0 is now non-selected-able, in 3.18.x this use to be possible was the change intentional? If not can the change be reverted. --- ApportVersion: 2.20.3-0ubuntu8 Architecture: amd64 CurrentDesktop: Unity DistroRelease: Ubuntu 16.10 InstallationDate: Installed on 2016-03-01 (227 days ago) InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Release amd64 (20151021) NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia Package: gnome-calculator 1:3.22.0-1ubuntu1 PackageArchitecture: amd64 ProcVersionSignature: Ubuntu 4.8.0-22.24-generic 4.8.0 Tags: yakkety Uname: Linux 4.8.0-22-generic x86_64 UpgradeStatus: Upgraded to yakkety on 2016-10-14 (0 days ago) UserGroups: adm audio cdrom dip lpadmin plugdev pulse pulse-access sambashare sudo vboxusers video _MarkForUpload: True
2016-10-14 22:18:58 bojam attachment added Dependencies.txt https://bugs.launchpad.net/bugs/1633408/+attachment/4761270/+files/Dependencies.txt
2016-10-14 22:19:02 bojam attachment added JournalErrors.txt https://bugs.launchpad.net/bugs/1633408/+attachment/4761271/+files/JournalErrors.txt
2016-10-14 22:19:04 bojam attachment added ProcEnviron.txt https://bugs.launchpad.net/bugs/1633408/+attachment/4761272/+files/ProcEnviron.txt
2016-10-14 22:20:10 bojam gnome-calculator (Ubuntu): status Incomplete New
2016-10-24 20:01:39 Jeremy Bicha bug added subscriber Jeremy Bicha
2016-10-24 20:02:30 Launchpad Janitor gnome-calculator (Ubuntu): status New Confirmed
2016-10-24 22:59:01 bojam bug watch added https://bugzilla.gnome.org/show_bug.cgi?id=773445
2016-10-25 01:01:16 Jeremy Bicha gnome-calculator (Ubuntu): importance Undecided Low
2016-10-25 01:01:20 Jeremy Bicha gnome-calculator (Ubuntu): status Confirmed Triaged
2016-10-25 01:01:28 Jeremy Bicha tags apport-collected yakkety apport-collected regression-release yakkety
2016-10-25 01:01:46 Jeremy Bicha bug task added gnome-calculator
2016-10-26 00:15:57 Bug Watch Updater gnome-calculator: status Unknown Confirmed
2016-10-26 00:15:57 Bug Watch Updater gnome-calculator: importance Unknown Medium
2016-11-08 09:53:15 Bug Watch Updater gnome-calculator: status Confirmed Fix Released
2016-11-08 11:19:46 Sebastien Bacher gnome-calculator (Ubuntu): status Triaged Fix Committed
2016-12-10 17:34:52 Jeremy Bicha nominated for series Ubuntu Yakkety
2016-12-10 17:34:52 Jeremy Bicha bug task added gnome-calculator (Ubuntu Yakkety)
2016-12-10 17:35:03 Jeremy Bicha gnome-calculator (Ubuntu Yakkety): status New In Progress
2016-12-10 17:35:07 Jeremy Bicha gnome-calculator (Ubuntu Yakkety): importance Undecided Low
2016-12-10 17:46:16 Jeremy Bicha gnome-calculator (Ubuntu Yakkety): status In Progress Triaged
2016-12-10 18:45:50 Launchpad Janitor gnome-calculator (Ubuntu): status Fix Committed Fix Released
2017-01-04 16:22:20 FanJun Kong - ( BH1SCW ) gnome-calculator (Ubuntu Yakkety): assignee FanJun Kong - ( BH1SCW ) (fjkong)
2017-01-04 16:29:41 FanJun Kong - ( BH1SCW ) summary 3.22.0 wont allow cut&paste in history pane [SRU] 3.22.0 wont allow cut&paste in history pane
2017-01-04 16:32:11 FanJun Kong - ( BH1SCW ) bug added subscriber Ubuntu Sponsors Team
2017-01-09 04:51:15 FanJun Kong - ( BH1SCW ) description The calculator's history, in 3.22.0 is now non-selected-able, in 3.18.x this use to be possible was the change intentional? If not can the change be reverted. --- ApportVersion: 2.20.3-0ubuntu8 Architecture: amd64 CurrentDesktop: Unity DistroRelease: Ubuntu 16.10 InstallationDate: Installed on 2016-03-01 (227 days ago) InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Release amd64 (20151021) NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia Package: gnome-calculator 1:3.22.0-1ubuntu1 PackageArchitecture: amd64 ProcVersionSignature: Ubuntu 4.8.0-22.24-generic 4.8.0 Tags: yakkety Uname: Linux 4.8.0-22-generic x86_64 UpgradeStatus: Upgraded to yakkety on 2016-10-14 (0 days ago) UserGroups: adm audio cdrom dip lpadmin plugdev pulse pulse-access sambashare sudo vboxusers video _MarkForUpload: True Impact ====== This update includes the new upstream bugfix 3.22.1 and 3.22.2 releases. https://git.gnome.org/browse/gnome-calculator/tree/NEWS?h=gnome-3-22 https://git.gnome.org/browse/gnome-calculator/log?h=gnome-3-22 Test Case ========= Regression Potential ==================== The uploads are happening under the GNOME Micro Release Exception.
2017-01-18 17:14:34 Sebastien Bacher removed subscriber Ubuntu Sponsors Team
2017-01-19 18:39:58 Brian Murray gnome-calculator (Ubuntu Yakkety): status Triaged Incomplete
2017-01-19 18:40:01 Brian Murray bug added subscriber Brian Murray
2017-02-13 16:43:52 FanJun Kong - ( BH1SCW ) description Impact ====== This update includes the new upstream bugfix 3.22.1 and 3.22.2 releases. https://git.gnome.org/browse/gnome-calculator/tree/NEWS?h=gnome-3-22 https://git.gnome.org/browse/gnome-calculator/log?h=gnome-3-22 Test Case ========= Regression Potential ==================== The uploads are happening under the GNOME Micro Release Exception. Impact ====== This update includes the new upstream bugfix 3.22.1 and 3.22.2 releases. https://git.gnome.org/browse/gnome-calculator/tree/NEWS?h=gnome-3-22 https://git.gnome.org/browse/gnome-calculator/log?h=gnome-3-22 Overview of changes in gnome-calculator 3.22.2: Fix reusing results from the history stack #766155 Ctrl+Backspace should deletes only last number, not everything (bgo#725114) Fixed possible errors on currency conversion (bgo#750672) Fixed first expression with parentheses (bgo#700617) Fixed conversion unit switch, fixes #748732. Test Case ========= *Fix reusing results from the history stack #766155 - A click on the equation would replace the current expression - A click on the result would append it to the current expression * Ctrl+Backspace should deletes only last number, not everything (bgo#725114) - input some expression, press Ctrl+Backspace it will delete last number instead of clear everything. * Fixed possible errors on currency conversion (bgo#750672) - gnome-calculator --solve '1500 EUR in USD' you will get just result, no more spamming stderr * Fixed first expression with parentheses (bgo#700617) - 3(7) you will get result: 21 * Fixed conversion unit switch, fixes #748732 - Be in Financial mode, choose "Botswana Pula" on the left side and "Algerian Dinar" on the right side 2. Type 1 3. Click Switch conversation units the displayed number will change correctly as long as the currencies switched Regression Potential ==================== The uploads are happening under the GNOME Micro Release Exception.
2017-02-13 16:44:22 FanJun Kong - ( BH1SCW ) gnome-calculator (Ubuntu Yakkety): status Incomplete In Progress
2017-02-15 16:48:26 Brian Murray gnome-calculator (Ubuntu Yakkety): status In Progress Fix Committed
2017-02-15 16:48:31 Brian Murray bug added subscriber Ubuntu Stable Release Updates Team
2017-02-15 16:48:39 Brian Murray bug added subscriber SRU Verification
2017-02-15 16:48:45 Brian Murray tags apport-collected regression-release yakkety apport-collected regression-release verification-needed yakkety
2017-02-22 03:25:05 Jeremy Bicha tags apport-collected regression-release verification-needed yakkety apport-collected regression-release verification-done yakkety
2017-02-22 20:39:38 Launchpad Janitor gnome-calculator (Ubuntu Yakkety): status Fix Committed Fix Released
2017-02-22 20:39:48 Brian Murray removed subscriber Ubuntu Stable Release Updates Team